ATM Locations APIs
List By Coordinates
List ATM locations by coordinates.
| Verb | GET |
| URL | https://api.s.unit.sh/atm-locations |
| Required Scope | cards |
| Timeout (Seconds) | 120 |
Query Parameters
filter[coordinates]
JSON object
Filters the results by the specified coordinates.
filter[searchRadius]Optional
number
Optional. Filters the results by the search radius (in miles). Default and max values are 100.
curl -X GET 'https://api.s.unit.sh/atm-locations?filter[coordinates]={"longitude": "-73.93041", "latitude": "42.79894"}&filter[searchRadius]=30' \
-H "Authorization: Bearer ${TOKEN}"
Response
Response is a JSON:API document.
200 OK
Example Response:
{
"data": [
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "SPEEDWAY",
"coordinates": {
"longitude": -73.93041,
"latitude": 42.79894
},
"address": {
"street": "229 S BRANDYWINE AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12307",
"country": "US"
},
"distance": 1.07,
"surchargeFree": true,
"acceptDeposits": false
}
},
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "CVS",
"coordinates": {
"longitude": -73.91508,
"latitude": 42.8077
},
"address": {
"street": "1204 EASTERN AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12308",
"country": "US"
},
"distance": 1.35,
"surchargeFree": true,
"acceptDeposits": false
}
}
]
}
List By Postal Code
List ATM locations by postal code.
| Verb | GET |
| URL | https://api.s.unit.sh/atm-locations |
| Required Scope | cards |
| Timeout (Seconds) | 120 |
Query Parameters
filter[postalCode]
string
Filters the results by the specified postal code.
filter[searchRadius]Optional
number
Optional. Filters the results by the search radius (in miles). Default and max values are 100.
curl -X GET 'https://api.s.unit.sh/atm-locations?filter[postalCode]=12300&filter[searchRadius]=30' \
-H "Authorization: Bearer ${TOKEN}"
Response
Response is a JSON:API document.
200 OK
Example Response:
{
"data": [
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "SPEEDWAY",
"coordinates": {
"longitude": -73.93041,
"latitude": 42.79894
},
"address": {
"street": "229 S BRANDYWINE AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12307",
"country": "US"
},
"distance": 1.07,
"surchargeFree": true,
"acceptDeposits": false
}
},
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "CVS",
"coordinates": {
"longitude": -73.91508,
"latitude": 42.8077
},
"address": {
"street": "1204 EASTERN AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12308",
"country": "US"
},
"distance": 1.35,
"surchargeFree": true,
"acceptDeposits": false
}
}
]
}
List By Address
List ATM locations by address.
| Verb | GET |
| URL | https://api.s.unit.sh/atm-locations |
| Required Scope | cards |
| Timeout (Seconds) | 120 |
Query Parameters
filter[address]
JSON object
Filters the results by the specified address.
filter[searchRadius]Optional
number
Optional. Filters the results by the search radius (in miles). Default and max values are 100.
curl -X GET 'https://api.s.unit.sh/atm-locations?filter[address]={"street":"1240 EASTERN AVE", "city":"SCHENECTADY", "state":"NY", "postalCode":"", "country":"US"}&filter[searchRadius]=30' \
-H "Authorization: Bearer ${TOKEN}"
Response
Response is a JSON:API document.
200 OK
Example Response:
{
"data": [
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "SPEEDWAY",
"coordinates": {
"longitude": -73.93041,
"latitude": 42.79894
},
"address": {
"street": "229 S BRANDYWINE AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12307",
"country": "US"
},
"distance": 1.07,
"surchargeFree": true,
"acceptDeposits": false
}
},
{
"type": "atmLocation",
"attributes": {
"network": "Allpoint",
"locationName": "CVS",
"coordinates": {
"longitude": -73.91508,
"latitude": 42.8077
},
"address": {
"street": "1204 EASTERN AVE",
"city": "SCHENECTADY",
"state": "NY",
"postalCode": "12308",
"country": "US"
},
"distance": 1.35,
"surchargeFree": true,
"acceptDeposits": false
}
}
]
}